org.apache.ignite.cache.store.jdbc

## Enum CacheAbstractJdbcStore.TypeKind

- java.lang.Object
- - java.lang.Enum<CacheAbstractJdbcStore.TypeKind>
  - - org.apache.ignite.cache.store.jdbc.CacheAbstractJdbcStore.TypeKind

All Implemented Interfaces:
  Serializable, Comparable<CacheAbstractJdbcStore.TypeKind>

Enclosing class:
  CacheAbstractJdbcStore<K,V>

    protected static enum CacheAbstractJdbcStore.TypeKind
    extends Enum<CacheAbstractJdbcStore.TypeKind>

Type kind.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY` Class for this type is not available.
`BUILT_IN` Type is known as Java built in type, like `String`
`POJO` Class for this type is available.

### Method Summary

Methods
`static CacheAbstractJdbcStore.TypeKind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheAbstractJdbcStore.TypeKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BUILT_IN

    public static final CacheAbstractJdbcStore.TypeKind BUILT_IN

Type is known as Java built in type, like `String`

#### POJO

    public static final CacheAbstractJdbcStore.TypeKind POJO

Class for this type is available.

#### BINARY

    public static final CacheAbstractJdbcStore.TypeKind BINARY

Class for this type is not available.

### Method Detail

#### values

    public static CacheAbstractJdbcStore.TypeKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheAbstractJdbcStore.TypeKind c : CacheAbstractJdbcStore.TypeKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheAbstractJdbcStore.TypeKind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017